package ${basePackage}.module.system.ent;

import java.util.ArrayList;
import java.util.List;

/**
 * DEPT - 部门树
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DeptTree extends Dept {

    private String label;

    private String value;

    private List<DeptTree> children;

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<DeptTree> getChildren() {
        return children;
    }

    public void setChildren(List<DeptTree> children) {
        this.children = children;
    }

    public void addChild(DeptTree deptTree) {
        if (this.children == null) this.children = new ArrayList<>();
        this.children.add(deptTree);
    }
}