-- ----------------------------
-- Table structure for DEPT - 部门
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2020-01-08
-- ----------------------------
CREATE TABLE `SYS_DEPT` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `DEPT_CODE` VARCHAR(50) NOT NULL COMMENT '部门代码',
        `DEPT_NAME` VARCHAR(100) NOT NULL COMMENT '部门名称',
        `DEPT_ALIAS` VARCHAR(50) COMMENT '部门别名',
        `SUP_CODE` VARCHAR(50) COMMENT '上级代码',
        `SUP_NAME` VARCHAR(100) COMMENT '上级名称',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='部门';
