-- ----------------------------
-- Table structure for LOG_ERR - 错误日志
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2020-01-29
-- ----------------------------
CREATE TABLE `SYS_LOG_ERR` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `LOG_ERR_TYPE` VARCHAR(20) COMMENT '错误类型',
        `TITLE` VARCHAR(50) NOT NULL COMMENT '错误标题',
        `CONTENT` TEXT COMMENT '错误内容',
        `LOG_ERR_RESULT` VARCHAR(20) NOT NULL COMMENT '处理结果',
        `ATTRIBUTE1` VARCHAR(50) COMMENT '属性1',
        `ATTRIBUTE2` VARCHAR(50) COMMENT '属性2',
        `ATTRIBUTE3` VARCHAR(50) COMMENT '属性3',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='错误日志';
