-- ----------------------------
-- Table structure for RES - 资源
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2020-05-15
-- ----------------------------
CREATE TABLE `SYS_RES` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `RES_CODE` VARCHAR(50) NOT NULL COMMENT '资源代码',
        `RES_NAME` VARCHAR(50) NOT NULL COMMENT '资源名称',
        `RES_TYPE` VARCHAR(20) NOT NULL COMMENT '资源类型',
        `RES_VALUE` VARCHAR(250) COMMENT '资源内容',
        `SUP_CODE` VARCHAR(50) COMMENT '上级代码',
        `SUP_NAME` VARCHAR(50) COMMENT '上级名称',
        `FREE` TINYINT(1) COMMENT '是否免费',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源';
