package example.fragment.functions.widget;

import android.os.Bundle;
import android.view.View;

import com.qmuiteam.qmui.widget.QMUITopBarLayout;

import butterknife.BindView;
import xyz.wbsite.base.BaseSPAFragment;
import xyz.wbsite.wbui.R;

public class AlignTextViewFragment extends BaseSPAFragment {

    @BindView(R.id.topBar)
    QMUITopBarLayout topBar;

    @Override
    protected int getFragmnetLayout() {
        return R.layout.fragment_widget_align_textview;
    }

    @Override
    protected void onViewInit() {
        topBar.setTitle("文字均分对齐");

        topBar.addLeftBackImageButton().setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                popBackStack();
            }
        });
    }

    @Override
    protected void onDataSave(Bundle data) {

    }

    @Override
    protected void onDataInit(Bundle data) {

    }

    @Override
    protected boolean canDragBack() {
        return false;
    }
}
