package example.fragment.functions.widget;

import android.os.Bundle;
import android.view.View;

import com.qmuiteam.qmui.widget.QMUITopBarLayout;

import butterknife.BindView;
import xyz.wbsite.base.BaseSPAFragment;
import xyz.wbsite.wbui.R;
import xyz.wbsite.wbui.other.WBUILoadingProgressBar;

public class LoadingBarFragment extends BaseSPAFragment {

    @BindView(R.id.topBar)
    QMUITopBarLayout topBar;
    @BindView(R.id.bar1)
    WBUILoadingProgressBar bar1;
    @BindView(R.id.bar2)
    WBUILoadingProgressBar bar2;
    @BindView(R.id.bar3)
    WBUILoadingProgressBar bar3;
    @BindView(R.id.bar4)
    WBUILoadingProgressBar bar4;
    @BindView(R.id.bar5)
    WBUILoadingProgressBar bar5;
    @BindView(R.id.bar6)
    WBUILoadingProgressBar bar6;

    @Override
    protected int getFragmnetLayout() {
        return R.layout.fragment_widget_loading;
    }

    @Override
    protected void onViewInit() {
        topBar.setTitle("加载条");
        topBar.addLeftBackImageButton().setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                popBackStack();
            }
        });

        bar1.setProgress(0.2f);
        bar2.setProgress(0.4f);
        bar3.setProgress(0.6f);
        bar4.setProgress(0.8f);
        bar5.setProgress(1.0f);

        bar6.startAnimation();
    }

    @Override
    protected void onDataSave(Bundle data) {

    }

    @Override
    protected void onDataInit(Bundle data) {

    }

}