package xyz.wbsite.activity;


import android.content.Intent;
import android.os.Bundle;

import xyz.wbsite.base.BaseSPAActivity;
import xyz.wbsite.base.IActivityResult;

public class FilePickerActivity extends BaseSPAActivity {

    @Override
    protected int getContextViewId() {
        return 0;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Intent intent = new Intent(Intent.ACTION_GET_CONTENT);
        intent.addCategory(Intent.CATEGORY_OPENABLE);
        //intent.setType("image/*");//选择图片
        //intent.setType("audio/*"); //选择音频
        //intent.setType("video/*"); //选择视频 （mp4 3gp 是android支持的视频格式）
        //intent.setType("video/*;image/*");//同时选择视频和图片
        intent.setType("*/*");//无类型限制

        startForResult(intent, new IActivityResult() {
            @Override
            public void onResult(int resultCode, Intent data) {
                setResult(resultCode, data);
                finish();
            }
        });
    }
}
