package xyz.wbsite.wbui.layout;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.GridView;


public class WBUINoScrollGridView extends GridView {
    public WBUINoScrollGridView(Context context) {
        super(context);
    }

    public WBUINoScrollGridView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int expandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2,
                MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);

    }
}
