package xyz.wbsite.wbui.widget.form;

import android.content.Context;
import android.support.annotation.Nullable;
import android.text.InputType;
import android.util.AttributeSet;

import xyz.wbsite.util.ValidateUtil;

public class LXDHFormInputView extends FormInputView {

    public LXDHFormInputView(Context context) {
        super(context);
    }

    public LXDHFormInputView(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    protected void init(AttributeSet attrs) {
        super.init(attrs);
        edtInput.setInputType(InputType.TYPE_CLASS_PHONE);
    }

    @Override
    public String validData() {
        String valid = super.validData();
        if (valid == null && !ValidateUtil.isPhone(code) && !ValidateUtil.isMobile(code)) {
            return "手机号码或固定号码格式不正确!";
        }
        return valid;
    }
}
