package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.DictItemManager;
import ${basePackage}.module.system.req.DictItemFindRequest;
import ${basePackage}.module.system.req.DictItemGetRequest;
import ${basePackage}.module.system.rsp.DictItemFindResponse;
import ${basePackage}.module.system.rsp.DictItemGetResponse;
import org.springframework.beans.factory.annotation.Autowired;

public class DictItemApi {

    @Autowired
    private DictItemManager dictItemManager;

    public DictItemFindResponse find(DictItemFindRequest request) {
        return dictItemManager.find(request, LocalData.getToken());
    }

    public DictItemGetResponse get(DictItemGetRequest request) {
        return dictItemManager.get(request, LocalData.getToken());
    }
}
