package ${basePackage}.frame.excel.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * SheetName - 工作表名称，当Excel模板没有该注解则使用Class类名作为工作表默认名称
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SheetName {
    String value();

    boolean freezeFirst() default false;
}
