-- ----------------------------
-- Table structure for ROLE - 角色
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-27
-- ----------------------------
CREATE TABLE `SYS_ROLE` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `CODE` VARCHAR(50) NOT NULL COMMENT '角色代码',
        `NAME` VARCHAR(50) NOT NULL COMMENT '角色名称',
        `COMMENT` VARCHAR(50) COMMENT '角色描述',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色';
