-- ----------------------------
-- Table structure for ROLE_RES - 角色资源关系
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2020-01-05
-- ----------------------------
CREATE TABLE `SYS_ROLE_RES` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `ROLE_ID` BIGINT(20) NOT NULL COMMENT '角色主键',
        `ROLE_CODE` VARCHAR(50) NOT NULL COMMENT '角色代码',
        `RES_ID` BIGINT(20) NOT NULL COMMENT '资源主键',
        `RES_CODE` VARCHAR(50) NOT NULL COMMENT '资源代码',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源关系';
