﻿-- ----------------------------
-- Table structure for TOKENS - 通行证
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-20
-- ----------------------------
CREATE TABLE `SYS_TOKENS` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `TOKEN` VARCHAR(50) NOT NULL COMMENT '登录令牌',
        `USER_ID` BIGINT(20) NOT NULL COMMENT '用户主键',
        `USER_NAME` VARCHAR(50) NOT NULL COMMENT '用户名称',
        `LOGIN_TIME` DATETIME NOT NULL COMMENT '登录时间',
        `VALID_TIME` DATETIME NOT NULL COMMENT '有效时间',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `DEPT_ID` BIGINT(20) COMMENT '部门主键',
        `DEPT_CODE` VARCHAR(50) COMMENT '部门代码',
        `DEPT_NAME` VARCHAR(100) COMMENT '部门名称',
        `TERMINAL_TYPE` VARCHAR(20) COMMENT '终端类型',
        `TERMINAL_IP` VARCHAR(50) COMMENT '终端地址',
        `TERMINAL_INFO` VARCHAR(500) COMMENT '终端信息',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='通行证';
