-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-17
-- ----------------------------
CREATE TABLE "SYS_DICT_ITEM" (
    "ID" NUMBER(19) NOT NULL,
    "DICT_NAME" VARCHAR2(50) NULL,
    "KEY" VARCHAR2(20) NULL,
    "VALUE" VARCHAR2(100) NULL,
    "SORT" NUMBER(10) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_DICT_ITEM" is '字典项';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT_ITEM"."KEY" is '字典键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALUE" is '字典值';
COMMENT ON COLUMN "SYS_DICT_ITEM"."SORT" is '排序';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT_ITEM"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_TIME" is '最后更新时间';
