-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-17
-- ----------------------------
CREATE TABLE "SYS_FILE" (
    "ID" NUMBER(19) NOT NULL,
    "NAME" VARCHAR2(250) NULL,
    "FILE_TYPE" VARCHAR(20) NULL,
    "ATTRIBUTE1" VARCHAR2(50) NULL,
    "ATTRIBUTE2" VARCHAR2(50) NULL,
    "LOCATION" VARCHAR2(500) NULL,
    "URL" VARCHAR2(500) NULL,
    "URL_DOWNLOAD" VARCHAR2(500) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_FILE" is '文件';
COMMENT ON COLUMN "SYS_FILE"."ID" is '主键';
COMMENT ON COLUMN "SYS_FILE"."NAME" is '文件名称';
COMMENT ON COLUMN "SYS_FILE"."FILE_TYPE" is '文件类型';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE1" is '扩展属性1';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE2" is '扩展属性2';
COMMENT ON COLUMN "SYS_FILE"."LOCATION" is '存放地址';
COMMENT ON COLUMN "SYS_FILE"."URL" is '访问地址';
COMMENT ON COLUMN "SYS_FILE"."URL_DOWNLOAD" is '下载地址';
COMMENT ON COLUMN "SYS_FILE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_FILE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_FILE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_FILE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_TIME" is '最后更新时间';
