-- ----------------------------
-- Table structure for TOKENS - 通行证
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2020-03-09
-- ----------------------------
CREATE TABLE IF NOT EXISTS SYS_TOKENS (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "TOKEN" VARCHAR(50) NOT NULL,
    "USER_ID" BIGINT NOT NULL,
    "USER_NAME" VARCHAR(50) NOT NULL,
    "LOGIN_TIME" DATETIME NOT NULL,
    "VALID_TIME" DATETIME NOT NULL,
    "VALID" BOOLEAN NOT NULL,
    "DEPT_ID" BIGINT,
    "DEPT_CODE" VARCHAR(50),
    "DEPT_NAME" VARCHAR(100),
    "TERMINAL_TYPE" VARCHAR(20),
    "TERMINAL_IP" VARCHAR(50),
    "TERMINAL_INFO" VARCHAR(500),
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
