<div id="app" v-cloak>
</div>

<script>
    var app = new Vue({
        mixins: [mixin],
        el: "#app",
        data: {
            module: 'system',
            target: 'schedule',
            vm: {//条件及分页参数
                pageNumber: 1,
                pageSize: 10,
                totalCount: 0,
                sortKey: 'CREATE_TIME',
                sortType: 'DESC'
            },
            form: {//待提交表单
                title: "",
                dialog: false,
                id: '',
                valid: "",
                rowVersion: ""
            },
            formRules: {

            },
            treeData: []
        },
        methods: {
            onCreate: function () {
                this.form.title = "资源新增";
                this.form.dialog = true;
                this.form.id = "";
                this.form.resCode = "";
                this.form.resName = "";
                this.form.resType = "";
                this.form.resValue = "";
                this.form.valid = true;
            },
            onEdit: function (item) {
                this.form.title = "资源编辑";
                this.form.dialog = true;
                this.form.id = item.id;
                this.form.resCode = item.resCode;
                this.form.resName = item.resName;
                this.form.resType = item.resType;
                this.form.resValue = item.resValue;
                this.form.valid = item.valid;
                this.form.rowVersion = item.rowVersion;
            },
            onDelete: function (item) {
                this.$confirm('将删除该项, 是否继续?', '提示', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(function () {
                    new Ajax("system", "schedule").delete({id: item.id},function (response) {
                        if (response.errors.length > 0) {
                            nav.e(response.errors[0].message);
                        } else {
                            nav.s("删除成功");
                            this.onFind();
                        }
                    }.bind(this))
                }.bind(this)).catch(function (action) {

                });
            },
            onChange: function (value) {
                this.$refs.tree.filter(value);
            },
            filterTree: function (value, data) {
                if (!value) return true;
                return data.comment.indexOf(value) !== -1;
            },
        },
        mounted: function () {

        }
    })
</script>
