package ${basePackage}.frame.excel.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Ignore - Excel列忽略注解，在导入导出过程中不会对存在该注解的字典进行解析
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Ignore {
    boolean value() default true;
}
