package xyz.wbsite.activity;

import android.content.Intent;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;

import com.bumptech.glide.Glide;

import uk.co.senab.photoview.PhotoView;
import xyz.wbsite.base.BaseSPAActivity;

public class ImageViewerActivity extends BaseSPAActivity {
    PhotoView photoView;

    @Override
    protected int getContextViewId() {
        return 0;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        photoView = new PhotoView(this);
        photoView.setBackgroundColor(Color.BLACK);
        setContentView(photoView);

        loadImage();
    }

    private void loadImage() {
        Intent intent = getIntent();
        Uri data = intent.getData();
        Glide.with(this).load(data).into(photoView);
    }

    @Override
    public void onBackPressed() {
        finish();
    }
}
