package xyz.wbsite.wbui.layout;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListView;

public class WBUINoScrollListView extends ListView {

    public WBUINoScrollListView(Context context) {
        super(context);
    }

    public WBUINoScrollListView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public WBUINoScrollListView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    /**
     * 设置listView不可滑动
     *
     * @param widthMeasureSpec
     * @param heightMeasureSpec
     */
    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int expandSpec = MeasureSpec.makeMeasureSpec(Integer.MAX_VALUE >> 2,
                MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);
    }
}
